org.apache.sysds.api.mlcontext

## Enum FrameFormat

- java.lang.Object
- - java.lang.Enum<FrameFormat>
  - - org.apache.sysds.api.mlcontext.FrameFormat

- All Implemented Interfaces:
    Serializable, Comparable<FrameFormat>

      public enum FrameFormat
      extends Enum<FrameFormat>

  FrameFormat represents the different frame formats supported by the MLContext API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV` Comma-separated value format (dense).
    `DF` DataFrame without a row index.
    `DF_WITH_INDEX` DataFrame with a row index.
    `IJV` (I J V) format (sparse).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasIDColumn()`
    `static FrameFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FrameFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CSV

          public static final FrameFormat CSV

      Comma-separated value format (dense).

    - #### IJV

          public static final FrameFormat IJV

      (I J V) format (sparse). I and J represent frame coordinates and V represents the value. The I J and V values are space-separated.

    - #### DF

          public static final FrameFormat DF

      DataFrame without a row index.

    - #### DF_WITH_INDEX

          public static final FrameFormat DF_WITH_INDEX

      DataFrame with a row index.

  - ### Method Detail

    - #### values

          public static FrameFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FrameFormat c : FrameFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FrameFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasIDColumn

          public boolean hasIDColumn()

Copyright © 2021 The Apache Software Foundation. All rights reserved.